Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.webdav.methods
Class Options

    java.lang.Object
      org.exist.http.webdav.methods.Options

All Implemented Interfaces:
  WebDAVMethod

public class Options
extends java.lang.Object
implements WebDAVMethod

Author:
  wolf

Constructor Summary
`Options()`

Method Summary
`void` | `process(User user, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, XmldbURI path)` Process a WebDAV request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Options

    public Options()

Method Detail

### process

    public void process(User user,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        XmldbURI path)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Description copied from interface: `WebDAVMethod`
  Process a WebDAV request. The collection and resource parameters are set to the corresponding objects selected by the request path. The user parameter represents a valid database user.

  Specified by:
    `process` in interface `WebDAVMethod`
  Parameters:
    `user` -
    `request` -
    `response` -
    `path` -
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.